#include once "window9.bi"

Function GetSystemDir() As USTRING Export
	#ifdef UNICODE
		Dim sRet As USTRING = WSpace(512)
		GetSystemDirectory(cast(any ptr , *sRet),512)  	
	#else
		Dim sRet As String*512
		GetSystemDirectory(Cast(LPSTR,@sRet),Len(sRet))  	
	#EndIf
	Return sRet
End Function
